"""
Django settings for blood_results_app project.

Generated by 'django-admin startproject' using Django 3.2.4.

For more information on this file, see
https://docs.djangoproject.com/en/3.2/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/3.2/ref/settings/
"""
import os
from pathlib import Path

# Build paths inside the project like this: BASE_DIR / 'subdir'.
BASE_DIR = Path(__file__).resolve().parent.parent
KEY_PATH = os.path.join(BASE_DIR, "edc_blood_results_app", "etc")
ETC_DIR = os.path.join(BASE_DIR, "edc_blood_results_app", "etc")
AUTO_CREATE_KEYS = False
EMAIL_CONTACTS = {}
APP_NAME = "edc_blood_results_app"
SUBJECT_VISIT_MODEL = f"{APP_NAME}.subjectvisit"
SUBJECT_REQUISITION_MODEL = f"{APP_NAME}.subjectrequisition"
SUBJECT_CONSENT_MODEL = f"{APP_NAME}.subjectconsent"
EDC_BOOTSTRAP = 3
SITE_ID = 10
ADVERSE_EVENT_ADMIN_SITE = "adverse_event_app_admin"
ADVERSE_EVENT_APP_LABEL = "adverse_event_app"

# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/3.2/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = "django-insecure-yu=33%@(@=cpczvtimog-$vl7^yfhs3yrw-2(h5pb2r$)3ks&6"

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

ALLOWED_HOSTS = []

# Application definition

INSTALLED_APPS = [
    "django.contrib.admin",
    "django.contrib.auth",
    "django.contrib.contenttypes",
    "django.contrib.sessions",
    "django.contrib.messages",
    "django.contrib.staticfiles",
    "django.contrib.sites",
    "django_crypto_fields.apps.AppConfig",
    "django_revision.apps.AppConfig",
    "multisite",
    "edc_appointment.apps.AppConfig",
    "edc_action_item.apps.AppConfig",
    "edc_crf.apps.AppConfig",
    "edc_device.apps.AppConfig",
    "edc_dashboard.apps.AppConfig",
    "edc_facility.apps.AppConfig",
    "edc_lab.apps.AppConfig",
    "edc_metadata.apps.AppConfig",
    "edc_offstudy.apps.AppConfig",
    "edc_reference.apps.AppConfig",
    "edc_registration.apps.AppConfig",
    "edc_identifier.apps.AppConfig",
    "edc_notification.apps.AppConfig",
    "edc_sites.apps.AppConfig",
    "edc_timepoint.apps.AppConfig",
    "edc_visit_schedule.apps.AppConfig",
    "edc_visit_tracking.apps.AppConfig",
    "edc_blood_results_app",
]

MIDDLEWARE = [
    "django.middleware.security.SecurityMiddleware",
    "django.contrib.sessions.middleware.SessionMiddleware",
    "django.middleware.common.CommonMiddleware",
    "django.middleware.csrf.CsrfViewMiddleware",
    "django.contrib.auth.middleware.AuthenticationMiddleware",
    "django.contrib.messages.middleware.MessageMiddleware",
    "django.middleware.clickjacking.XFrameOptionsMiddleware",
    "edc_dashboard.middleware.DashboardMiddleware",
    # "edc_subject_dashboard.middleware.DashboardMiddleware",
]

ROOT_URLCONF = "edc_blood_results_app.urls"

TEMPLATES = [
    {
        "BACKEND": "django.template.backends.django.DjangoTemplates",
        "DIRS": [],
        "APP_DIRS": True,
        "OPTIONS": {
            "context_processors": [
                "django.template.context_processors.debug",
                "django.template.context_processors.request",
                "django.contrib.auth.context_processors.auth",
                "django.contrib.messages.context_processors.messages",
            ],
        },
    },
]

WSGI_APPLICATION = "edc_blood_results_app.wsgi.application"


# Database
# https://docs.djangoproject.com/en/3.2/ref/settings/#databases

DATABASES = {
    "default": {
        "ENGINE": "django.db.backends.sqlite3",
        "NAME": BASE_DIR / "db.sqlite3",
    }
}


# Password validation
# https://docs.djangoproject.com/en/3.2/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        "NAME": "django.contrib.auth.password_validation.UserAttributeSimilarityValidator",
    },
    {
        "NAME": "django.contrib.auth.password_validation.MinimumLengthValidator",
    },
    {
        "NAME": "django.contrib.auth.password_validation.CommonPasswordValidator",
    },
    {
        "NAME": "django.contrib.auth.password_validation.NumericPasswordValidator",
    },
]


# Internationalization
# https://docs.djangoproject.com/en/3.2/topics/i18n/

LANGUAGE_CODE = "en-us"

TIME_ZONE = "UTC"

USE_I18N = True

USE_L10N = True

USE_TZ = True


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/3.2/howto/static-files/

STATIC_URL = "/static/"

# Default primary key field type
# https://docs.djangoproject.com/en/3.2/ref/settings/#default-auto-field

DEFAULT_AUTO_FIELD = "django.db.models.BigAutoField"
